Skip to main content
PATCH
/
v1
/
affiliation_products
/
{id}
Update
curl --request PATCH \
  --url https://{defaultHost}/v1/affiliation_products/{id} \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "affiliation_product": {
    "commission_structure": {
      "percent_commission": 33.33
    }
  }
}
'
{
  "id": "811229a6-02e6-4889-b964-e90e532e890b",
  "object": "affiliation_product",
  "affiliation": "ffd91e9e-e1bb-4559-b17a-bfcb55da4141",
  "product": "2a986df9-40b7-4a27-b619-ce9f25d9dc04",
  "commission_structure": "b2f2a00f-5129-4bef-a94c-637738c32aa2",
  "created_at": 1770234837,
  "updated_at": 1770234837
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

id
string
required

Body

application/json
affiliation_product
object

Response

200 - application/json

Success

id
string | null

The UUID of the specific object.

object
string

A string describing the object type returned.

affiliation

Expandable – The associated affiliation ID.

commission_structure

Expandable – The associated commission structure ID.

product

Expandable – The associated product ID.

created_at
integer | null

Time at which the object was created. Measured in seconds since the Unix epoch.

updated_at
integer | null

Time at which the object was last updated. Measured in seconds since the Unix epoch.